petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGSetLevels

Sets the number of levels to use with MG. Must be called before any other MG routine.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetLevels(PC pc,PetscInt levels,MPI_Comm *comms)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| levels | - the number of levels
| comms | - optional communicators for each level; this is to allow solving the coarser problems on smaller sets of processors.

### Notes

If the number of levels is one then the multigrid uses the -mg_levels prefix for setting the level options rather than the -mg_coarse prefix.

### See Also

PCMGSetType(), PCMGGetLevels()

### Level

intermediate

### Location

src/ksp/pc/impls/mg/mg.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html

### Implementations

PCMGSetLevels_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages